using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.PF
{
    /// <summary>
    /// 附件表
    /// </summary>
    [Description("问题反馈附件表")]
    public class T_PF_QUESTION_FEEDBACK_FILE : MesEntityBase
    {
        [Description("问题反馈表ID")]
        [DataFieldForeignKey("Nav_QuestionFeedback", "Nav_Files")]
        public Guid T_PF_QUESTION_FEEDBACK { get; set; }

        [Description("导航属性：问题反馈表")]
        public virtual T_PF_QUESTION_FEEDBACK Nav_QuestionFeedback { get; set; }

        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid? IMG_FILE_ID { get; set; }

        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}

